#include <math.h>
#ifdef __cplusplus

#include "adouble.h"
#include "adutils.h"

#endif

#ifdef __cplusplus

void fullcanard(unsigned short tag, double *px, double *pxp, double *p)
{
    adouble xv[4];
    adouble xp[2];
    int i;

    trace_on(tag);
    for (i=0;i<2;i++)
   	xv[i] <<= px[i];
    for (i=2;i<4;i++)
        xv[i] <<= p[i-2];

xp[0] = (xv[1] - xv[0]*xv[0] -xv[0]*xv[0]*xv[0])/xv[3];
xp[1] = (xv[2] - xv[0]);
 
    for (i=0;i<2;i++)
	xp[i] >>= pxp[i];

    trace_off();
}


#endif

void fullcanard(double *px, double *pxp, double *p)
{
    double x[4];    
    double xp[2];
    int i;
 
    for (i=0;i<2;i++)        
        x[i] = px[i];
    for (i=2;i<4;i++)
        x[i] = p[i-2];

xp[0] = (x[1] - x[0]*x[0] -x[0]*x[0]*x[0])/x[3];
xp[1] = (x[2] - x[0]);
  
    for (i=0;i<2;i++)
        pxp[i] = xp[i];
 
 
}

 
