%Evaluate a single Taylor series step and estimate error at endpoint

function [pt, err_pt] = teval(tay,h)

global degree c dim param

pt = zeros(1,dim);
pd = zeros(1,dim);
err_pt = zeros(1,dim);

for k = 1:dim
	pt(k) = polyval(flipud(tay(:,k)),h);
	td = [1:degree]'.*tay(2:degree+1,k);
	pd(k) = polyval(flipud(td),h);
end;

tpt = t(pt,1,param(1));
err_pt = tpt(2,:) - pd;
