%Compute an oribt and plot it: red crosses at mesh points
function [pdata] = wplot(ldata)

global degree c dim cmax epmax hmin param tsmin

pt = zeros(1,dim);
linc = -16*log(10)/degree;
pdata = ldata(1,:);

for i=1:(size(ldata,1)-1)
   
   x = ldata(i,2:dim+1);
   tnow = ldata(i,1);
   tstop = ldata(i+1,1)-ldata(i,1);

while tstop > 0         
         [tay_pt jmat_pt] = fullt(x,param,degree);
         ainc = max(max(log(abs(tay_pt(2:degree+1,1:dim)))./[[1:degree]',[1:degree]']));
         h = exp(linc - ainc)/5;
         
         if h > tstop
            h=tstop;
         end;
         
         [pt, err_pt] = teval(tay_pt,h);
         em = max(abs(err_pt));
         
         while (em > epmax) & (h > hmin)
            h = 0.7*h;
            if h < hmin
               error('Step size smaller than hmin: the minimum permitted step size');
            end;
            [pt, err_pt] = teval(tay_pt,h);
            em = max(abs(err_pt));
         end;
         tnow = tnow + h;
         tstop = tstop - h;
         x = pt;
      pdata = [pdata; tnow, pt];
      
    end;
   end;   
%plot(pdata(:,2),pdata(:,3),pdata(:,2),pdata(:,3),'go',ldata(:,2),ldata(:,3),'rx');
plot(pdata(:,2),pdata(:,3),ldata(:,2),ldata(:,3),'rx');
