#ifndef _PARAMADUTILSC_H_
#define _PARAMADUTILSC_H_
/*
  ------------------------------------------------------------- 
  File paramadutilsc.h of non-standard ADOL-C version 1.7 as of Feb/09/98
  Included in ---> paramdriversc.c
                   paramadutils.h


  -------------------------------------------------------------


 
   This header file list the user utilities that are callable from C
   Overloaded C++ routines are listed in adutils.h.  
   Functions prototyped here are defined in the files
            ---> paramdriversc.c

*/
/* DS. 189.95 return type changed to int for forward sweeps and drivers  */


#include "adutilsc.h"

/*
double myclock(void);
double* myalloc1(int);
double** myalloc2(int, int);
double*** myalloc3(int, int, int);
 */

/* paramforodec(tag,n,m,tau,dold,dnew,X[n][d+1])                    */

int paramforodec(short,int,int,double,int,int,double**);
fint paramforodec_(fint*,fint*,fint*,fdouble*,fint*,fint*,fdouble*);

/* paramaccodec(n,m,tau,d,Z[n][n][d+1],B[n][n][d+1],nz[n][n])       */

void paramaccodec(int,int,double,int,double***,double***,short**);

/* now pack the arrays into vectors for Fortran calling      */

fint paramaccodec_(fint*,fint*,fdouble*,fint*,fdouble*,fdouble*);
 
#endif
