#include "mex.h"
#define dim 2
#define DIMLOOP(i) for(i=0;i<dim;i++)

static int allocated = 0;

void mexFunction(
                 int nlhs,       mxArray *plhs[],
                 int nrhs, const mxArray *prhs[]
		 )
{
	int i,j;
	double *p1,*p2,*p3;
	double z[dim],p[dim];

	if(nrhs == 0) return;

	p1 = mxGetPr(prhs[0]);
	DIMLOOP(i) z[i] = p1[i];

        p3 = mxGetPr(prhs[1]);
	
	cubic(z,p,p3);
	plhs[0] = mxCreateDoubleMatrix(1,dim,mxREAL);
	p2 = mxGetPr(plhs[0]);
	DIMLOOP(i) p2[i] = p[i];
}
