#include <math.h>
#ifdef __cplusplus

#include "adouble.h"
#include "adutils.h"

#endif

/* double c = 0.07; */

double eps = 0.001;

#ifdef __cplusplus

void field(unsigned short tag, double* px,  double* pxp, double c)
{
/******initialize adoubles *************/
adouble x[2];
adouble xp[2];
int i;
trace_on(tag);
for(i=0;i<2;i++)
  x[i] <<= px[i];

xp[0] = (x[1] - x[0]*x[0] -x[0]*x[0]*x[0])/eps;
xp[1] = (c - x[0]);

     
for (i=0;i<2;i++)
  xp[i] >>= pxp[i];
trace_off();
}

#endif

void field(double* px,  double* pxp, double c)
{
	double x[2],xp[2];
	int i;


	for(i=0;i<2;i++)
		x[i] = px[i];

xp[0] = (x[1] - x[0]*x[0] -x[0]*x[0]*x[0])/eps;
xp[1] = (c - x[0]);

	for (i=0;i<2;i++)
		pxp[i] = xp[i];
}
