%Compute from one mesh point to the next 
degm = [1:degree]'*ones(1,dim);
tnow = 0;      
while tstop > 0
         
         [tay_pt jmat_pt] = fullt(x,param,degree);
         ainc = max(max(log(1+abs(tay_pt(2:degree+1,1:dim)))./degm));
         h = exp(linc - ainc);
         
         if h > tstop - 2*hmin
            h=tstop;
         end;
         
         [pt, err_pt] = teval(tay_pt,h);
         em = max(abs(err_pt));
         
         while em > epmax
            h = 0.7*h;
            if h < hmin
               error('Step size smaller than hmin: the minimum permitted step size');
            end;
            [pt, err_pt] = teval(tay_pt,h);
            em = max(abs(err_pt));
         end;
         
         dm = (h).^[0:degree];
         j1pt = [eye(dim),zeros(dim,size(param,2))];
         
         for j = 1:degree
            j1pt = j1pt + dm(j+1)*jmat_pt{j};
         end;
         jpt = [j1pt(:,1:dim)*jpt(:,1:dim),j1pt(:,1:dim)*jpt(:,dim+1:dim+pdim)+j1pt(:,dim+1:dim+pdim)];
                     
         tnow = tnow + h;
         tstop = tstop - h;
         x = pt;
         
      end;

